
#ifndef VJBOX_H
#define VJBOX_H

#include "global.h"


#define REJECT_BIDEXISTS 1


class VJBox
{
public:
	VJBox();
	~VJBox();

	void rxFrame();
	void sendCurrentMail();
	void putMsg();
	void saveMail( char *filename );

	void lockBID( const char *bid );
	void unlockBID( const char *bid );
	void ackBID( const char *bid );

   int fd;
private:
	void connectVJBox();
	int getStatus( char *str );
   void sendString( char *string );
   void sendString( int len, char *string );
	void addMsg( char *bid );
	void saveCurrentHeader( s_msg *msg, char *line );
	void msgData( char *data, int len );
	void sendMailToVjbox();

	char *savestr;
	int savestrlen;
	int status;
   s_msg *currmsg;
   bool linemode;
   char sendfname[500];
};


#endif

