
#ifndef FORWARD_H
#define FORWARD_H


class Forward
{
public:
	Forward();
	~Forward();

	void rxFrame();
	void sendString( char *string, bool save=false );
	void sendString( int len, char *string, bool save=false );

	void rejectMail( int grund );
	void getMail();
	void getMailReady();

   int fd;
private:
	void AX25connect();
	void sendForwardRequest();
	void nextMsg();
	void nextForward();
	void checkSendCmd( char *line );
	void mailSaveToFile( int & len, char *data, char *parent );
	bool checkBINHeader( char *line );
	void saveBINData( char *data, int & len, char *parent );

	char *savestr;
	int savestrlen;
	int status;
   bool linemode;
   int paclen;
   int filefd;
   char filefdname[500];
   long size, size_got;
   unsigned short crc;
   unsigned short crc_rec;
   bool ready;
   unsigned short own_crc;

   char *sendstr;
   int sendstrlen;
};



#endif

