
#ifndef GLOBAL_H
#define GLOBAL_H

#include "init.h"
#include "forward.h"
#include "config.h"

#define MYSID "[vjfetch-VERSION-DH$]\r"


typedef struct _s_msg
{
	struct _s_msg *next;

   char *bid;
   char *to;
   char *mbx;
   char *from;
   char *subject;
} s_msg;

extern s_msg *msgroot;

extern Config *config;
extern Forward *forward;


typedef struct
{
	char *call;
   char *mbx;
   char *sender;
   char *bid;
   char type;
   char *subject;
   int lt;
} s_getmsg;

extern s_getmsg getmsg;

#endif

