

#include "global.h"
#include "vjbox.h"
#include "forward.h"

#include <sys/time.h>
#include <sys/types.h>

#include <unistd.h>
#include <stdio.h>
#include <stdlib.h>


// Globale Variablen als global.h
Config *config;
s_msg *msgroot;
s_getmsg getmsg;



VJBox *vjbox;
Forward *forward;


int main()
{
	int maxfd;
	fd_set fdmask;


	config = new Config();
   vjbox = new VJBox();
   forward = NULL;


   for (;;)
   {
      FD_ZERO(&fdmask);
      FD_SET(vjbox->fd, &fdmask);
      maxfd = vjbox->fd;
      if (forward != NULL)
      {
      	FD_SET(forward->fd, &fdmask);
			if (forward->fd > maxfd)
	      	maxfd = forward->fd;
		}

      select(maxfd+1, &fdmask, NULL, NULL, NULL);

      if (FD_ISSET(vjbox->fd, &fdmask))
         vjbox->rxFrame();

		if (forward != NULL)
         if (FD_ISSET(forward->fd, &fdmask))
         	forward->rxFrame();
   }

	return 0;

}


void forwardConnect()
{
	forward = new Forward();
}


void vjboxLockBID( const char *bid )
{
	vjbox->lockBID( bid );
}


void vjboxUnlockBID( const char *bid )
{
	vjbox->unlockBID( bid );
}


void vjboxAckBID( const char *bid )
{
	vjbox->ackBID( bid );
}


void showStatistik()
{
}



